Bug 493463 - Some font cleanup
Some font cleanup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mscore (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 16:18 EDT by Nicolas Mailhot
Modified: 2009-06-12 00:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 00:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-04-01 16:18:14 EDT
Noticed this while reviewing other font stuff

1. mscore includes two font files that declare different family names (mscore and mscore1) ⇒ you should create two different subpackages

2. repeating mscore does not provide any additional value to users ⇒ you should contract it

I suggest mscore-fonts and mscore-1-fonts subpackages

3. your font subpackages should be noarch in F11
Comment 1 Orcan Ogetbil 2009-04-01 17:15:26 EDT
1. eh... ok.

2. I can't, at least not with the existing macros. I think I explained this to you before. For instance, when I use

   %_font_pkg -n %{fontfamilyname} %{fontfamilyname}*.ttf

the macro opens up and I have

   %files mscore-%{fontfamilyname}-fonts

If I instead use

   %_font_pkg %{fontfamilyname}*.ttf

the macro opens up as

   %files

and I have two %files sections. (Also two %post, %postun sections). RPM doesn't like duplications.

So what will be your suggestion? How can I produce a mscore-fonts package?

3. I can make them noarch, but there's no guideline that says I should.
Comment 2 Nicolas Mailhot 2009-04-01 17:47:06 EDT
(In reply to comment #1)

> 2. I can't, at least not with the existing macros.

Yes, mscore-fonts is not possible indeed. This is the one corner case current macros can't cover. mscore-1-fonts would be possible, but don't know if it would be a good idea to have inconsistent naming between the two packages.
 
> 3. I can make them noarch, but there's no guideline that says I should.

It's a good idea to do it when you have pure noarch subpackages. Mirror people will thank you
Comment 3 Orcan Ogetbil 2009-04-03 13:37:55 EDT
I don't think mscore1 is a totally different font family than mscore.

They are both derived from lilypond's feta fonts, and they are just for musical notation, no actual letter glyphs etc. I think upstream named them mscore and mscore1 for their own convenience.
Comment 4 Nicolas Mailhot 2009-06-01 18:33:58 EDT
(In reply to comment #2)
> (In reply to comment #1)
> 
> > 2. I can't, at least not with the existing macros.
> 
> Yes, mscore-fonts is not possible indeed. This is the one corner case current
> macros can't cover

I've cut a new version that should cover your use case

Can you please check if http://nim.fedorapeople.org/fontpackages/ works for you?
If that's the case, I'll publish it as an official version
Comment 5 Orcan Ogetbil 2009-06-01 22:32:45 EDT
Thanks for the update!

Yes it works. By "it works" I mean that I was able to produce a "mscore-fonts" package. Now I'll have to add an Obsoletes/Provides: mscore-mscore-fonts.

Let me know when you update fontpackages on F-11 so I'll rebuild with this change.

Just FYI, I am not further splitting the mscore-fonts in two packages as I explained in comment #3.
Comment 6 Bug Zapper 2009-06-09 09:00:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Orcan Ogetbil 2009-06-12 00:43:00 EDT
Package updated and built in rawhide:
   http://koji.fedoraproject.org/koji/buildinfo?buildID=105820

Closing the bug

Note You need to log in before you can comment on or make changes to this bug.